Retrieve Available Languages
curl --request GET \
--url https://app.famulor.de/api/user/assistants/languages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/assistants/languages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/languages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/languages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/languages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 1,
"name": "English",
"iso_2": "en"
},
{
"id": 2,
"name": "Romanian",
"iso_2": "ro"
},
{
"id": 3,
"name": "French",
"iso_2": "fr"
},
{
"id": 4,
"name": "Spanish",
"iso_2": "es"
},
{
"id": 5,
"name": "German",
"iso_2": "de"
},
{
"id": 6,
"name": "Lithuanian",
"iso_2": "lt"
},
{
"id": 7,
"name": "Italian",
"iso_2": "it"
},
{
"id": 8,
"name": "Arabic",
"iso_2": "ar"
},
{
"id": 9,
"name": "Portuguese",
"iso_2": "pt"
},
{
"id": 10,
"name": "Danish",
"iso_2": "da"
}
]
Retrieve Available Languages
Retrieve all available languages for assistant configuration
GET
/
api
/
user
/
assistants
/
languages
Retrieve Available Languages
This endpoint returns a list of all available languages that can be used when creating or updating assistants.
Response Fields
The API returns a direct array of available languages:array
Notes
- This endpoint requires no parameters
- Use the
namefield when creating or updating assistants - The
iso_2code can be useful for language-specific functionality - All available languages are returned in a single request
[
{
"id": 1,
"name": "English",
"iso_2": "en"
},
{
"id": 2,
"name": "Romanian",
"iso_2": "ro"
},
{
"id": 3,
"name": "French",
"iso_2": "fr"
},
{
"id": 4,
"name": "Spanish",
"iso_2": "es"
},
{
"id": 5,
"name": "German",
"iso_2": "de"
},
{
"id": 6,
"name": "Lithuanian",
"iso_2": "lt"
},
{
"id": 7,
"name": "Italian",
"iso_2": "it"
},
{
"id": 8,
"name": "Arabic",
"iso_2": "ar"
},
{
"id": 9,
"name": "Portuguese",
"iso_2": "pt"
},
{
"id": 10,
"name": "Danish",
"iso_2": "da"
}
]
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

